//======================================================= file = inport.c =====
//=  Input port for output buffered switch simulation model                   =
//=============================================================================
//=  Notes: 1) Forward packets directly to output ports (where queueing       =
//=            occurs)                                                        =
//=---------------------------------------------------------------------------=
//=  Contains: inport()                                                       =
//=---------------------------------------------------------------------------=
//=  History:  KJC (05/07/01) - Genesis                                       =
//=============================================================================
#define EXTERNAL        // This is an external file (used in common.h)

//----- Include files ---------------------------------------------------------
#include "csim.h"       // Needed for CSIM
#include "common.h"     // Needed for common stuff

void inport(int in_id, int out_id, int pkt_len, double org_time)
{
  create("inport");

  // Forward the packet to the outport
  out[out_id](in_id, out_id, pkt_len, org_time);

  return;
}
