//====================================================== file = outport.c =====
//=  Output port for output buffered switch simulation model                  =
//=============================================================================
//=  Notes: 1)                                                                =
//=---------------------------------------------------------------------------=
//=  Contains: outport()                                                      =
//=---------------------------------------------------------------------------=
//=  History:  KJC (05/07/01) - Genesis                                       =
//=============================================================================
#define EXTERNAL        // This is an external file (used in common.h)

//----- Include files ---------------------------------------------------------
#include "csim.h"       // Needed for CSIM
#include "common.h"     // Needed for common stuff

void outport(int from_id, int out_id, int pkt_len, double org_time)
{
  create("outport");

  // Queue for packets
  reserve(Q_server[out_id]);
  hold((8.0 * pkt_len) / MEDIA_RATE);
  release(Q_server[out_id]);

  // Record delay statistics for cells leaving this port
  record((clock - org_time), Delay_table[out_id]);
  record(pkt_len, Bytes_table[out_id]);

  return;
}
